#!/usr/bin/bash

version="4.1.1.Final"
name="eclipse-jbosstools"

MODULES="jbosstools-base \
         jbosstools-build \
         jbosstools-build-sites \
         jbosstools-freemarker \
         jbosstools-javaee \
         jbosstools-jst \
         jbosstools-openshift \
         jbosstools-server \
         jbosstools-webservices"

# Where possible, commit SHAs based on stable Git tag
declare -A commits
commits[jbosstools-base]="bdb07a034e3a37158a77275ddb323262223ec719"
commits[jbosstools-build]="f04ad1b579e7980a86e3199851ab763225af3cdd"
commits[jbosstools-build-sites]="700d68f030e280204766543e64c00601f9969a49"
commits[jbosstools-freemarker]="8d132659a1105d1ce6eb1392252e87189bb45018"
commits[jbosstools-javaee]="b48ce93f9c39ef79d26b0822217adfb14ab7fb68"
commits[jbosstools-jst]="7c87540ecb5cbab45c009b17428a695fdbf0cd9f"
commits[jbosstools-openshift]="59411f033efd5f9fae48b36b48edf3228c567f44"
commits[jbosstools-server]="3443a6af700d4cbe46025c863e81aa433a94c420"
commits[jbosstools-webservices]="fec0aa96b8cf97233103c66aeba17f10bdf8948f"

mkdir ${name}-${version}/

for module in ${MODULES}; do
  wget https://github.com/jbosstools/${module}/archive\
/${commits[${module}]}/${module}-${version}.tar.gz
done

pushd ${name}-${version}
  for module in ${MODULES}; do
    tar xfz ../${module}-${version}.tar.gz
    mv ${module}-${commits[${module}]} ${module}
  done

  for ext in jar war zip class; do
    find -type f -name *.${ext} -delete
  done
popd

tar cJf ${name}-${version}.tar.xz ${name}-${version}/
rm -r ${name}-${version}

for module in ${MODULES}; do
  rm ${module}-${version}.tar.gz
done
